summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java/xmldb')
-rw-r--r--dev-java/xmldb/files/xmldb-20011111-enum.patch15
-rw-r--r--dev-java/xmldb/files/xmldb-20011111-unreachable.patch5
-rw-r--r--dev-java/xmldb/xmldb-20011111-r2.ebuild51
3 files changed, 68 insertions, 3 deletions
diff --git a/dev-java/xmldb/files/xmldb-20011111-enum.patch b/dev-java/xmldb/files/xmldb-20011111-enum.patch
new file mode 100644
index 00000000000..33a4b22b179
--- /dev/null
+++ b/dev-java/xmldb/files/xmldb-20011111-enum.patch
@@ -0,0 +1,15 @@
+--- a/org/xmldb/api/sdk/modules/SetContentHandler.java 2017-03-17 21:49:05.540172602 +0000
++++ b/org/xmldb/api/sdk/modules/SetContentHandler.java 2017-03-17 21:49:22.860172942 +0000
+@@ -168,9 +168,9 @@
+ }
+ }
+
+- Enumeration enum = namespaces.keys();
+- while ( enum.hasMoreElements() ) {
+- String key = (String) enum.nextElement();
++ Enumeration myEnum = namespaces.keys();
++ while ( myEnum.hasMoreElements() ) {
++ String key = (String) myEnum.nextElement();
+ newContent.append(" xmlns");
+ if (key.length() > 0) {
+ newContent.append(":");
diff --git a/dev-java/xmldb/files/xmldb-20011111-unreachable.patch b/dev-java/xmldb/files/xmldb-20011111-unreachable.patch
index 3e081e6e2d4..a0476158c55 100644
--- a/dev-java/xmldb/files/xmldb-20011111-unreachable.patch
+++ b/dev-java/xmldb/files/xmldb-20011111-unreachable.patch
@@ -1,6 +1,5 @@
-diff -ru xmldb/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java xmldb-patched/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java
---- xmldb/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java 2002-01-30 04:46:43.000000000 -0500
-+++ xmldb/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java 2005-06-26 21:37:59.000000000 -0400
+--- a/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java 2002-01-30 04:46:43.000000000 -0500
++++ b/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java 2005-06-26 21:37:59.000000000 -0400
@@ -133,7 +133,7 @@
}
}
diff --git a/dev-java/xmldb/xmldb-20011111-r2.ebuild b/dev-java/xmldb/xmldb-20011111-r2.ebuild
new file mode 100644
index 00000000000..0e7e9845664
--- /dev/null
+++ b/dev-java/xmldb/xmldb-20011111-r2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_PN="${PN}-api"
+MY_PV="11112001"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="XML:DB Java library"
+HOMEPAGE="https://sourceforge.net/projects/xmldb-org/"
+SRC_URI="mirror://sourceforge/xmldb-org/${MY_P}.tar.gz"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+CDEPEND="
+ dev-java/xalan:0
+ dev-java/xerces:2"
+
+DEPEND="
+ ${CDEPEND}
+ >=virtual/jdk-1.6"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+S="${WORKDIR}/${PN}"
+
+JAVA_GENTOO_CLASSPATH="
+ xalan
+ xerces-2
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-enum.patch"
+ "${FILESDIR}/${P}-unreachable.patch"
+)
+
+src_prepare() {
+ default
+ java-pkg_clean
+ # Must hard-depend on dev-java/junit otherwise.
+ rm -rv org/xmldb/api/tests || die
+}